info.bioinfweb.jphyloio.dataadapters

## Interface TreeNetworkGroupDataAdapter

- All Superinterfaces:
    AnnotatedDataAdapter, ElementDataAdapter<LinkedLabeledIDEvent>
  All Known Implementing Classes:
    NoSetsTreeNetworkGroupDataAdapter, StoreTreeNetworkGroupDataAdapter

      public interface TreeNetworkGroupDataAdapter
      extends ElementDataAdapter<LinkedLabeledIDEvent>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<TreeNetworkDataAdapter>` | `getTreeNetworkIterator(ReadWriteParameterMap parameters)` Returns an iterator providing access to all trees and networks contained in the document to be written.
    `ObjectListDataAdapter<LinkedLabeledIDEvent>` | `getTreeSets(ReadWriteParameterMap parameters)` Returns a list of tree sets defined for the tree-network-group modeled by this instance.

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.ElementDataAdapter

      `getStartEvent`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.AnnotatedDataAdapter

      `writeMetadata`

- - ### Method Detail

    - #### getTreeNetworkIterator

          java.util.Iterator<TreeNetworkDataAdapter> getTreeNetworkIterator(ReadWriteParameterMap parameters)

      Returns an iterator providing access to all trees and networks contained in the document to be written.
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the iterator (Maybe empty but not `null`.)

    - #### getTreeSets

          ObjectListDataAdapter<LinkedLabeledIDEvent> getTreeSets(ReadWriteParameterMap parameters)

      Returns a list of tree sets defined for the tree-network-group modeled by this instance.
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a (possibly empty) list of tree sets